<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="email" id="top-avg-delay-by-to-relay-and-to-domain">

 <lire:title>Highest Average Delay By To Relay And To Domain Email Report</lire:title>
 <lire:description>
  <para>This report shows the relay and domain with the highest
   average delay.
  </para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="delay_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of delay to display in the report.
    </para>
   </lire:description>
  </lire:param>
  
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Highest Average Delay By To Relay and To Domain, Top $delay_to_show</lire:title>

  <lire:description>
   <para>Average delay is in seconds</para>
  </lire:description>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-avg_delay" limit="$delay_to_show">
   <lire:field name="to_relay_host"/>
   <lire:field name="to_domain"/>
   <lire:avg name="avg_delay" field="delay" label="Avg Delay"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
